<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Delete Method
Cursor Class See Also Send Feedback

Delete the key/data pair to which the cursor refers.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public void Delete()

Visual Basic (Declaration)

    Public Sub Delete

Visual C++

    public:
    void Delete()

# Remarks

The cursor position is unchanged after a delete, and subsequent calls to cursor functions expecting the cursor to refer to an existing key will fail.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.KeyEmptyException | The element has already been deleted.

# See Also

Cursor Class
BerkeleyDB Namespace